Skip to main content
GET
/
screener_pubsub
cURL
curl --no-buffer --request GET \
  --url 'https://api.edgeful.com/screener_pubsub?market_type=<market_type>' \
  --header 'Authorization: Bearer <api-key>'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://edgeful.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

market_type
enum<string>
required

type of market to stream data for. use all to stream stocks and futures together.

Available options:
all,
stock,
futures
session_name
string
default:NY

trading session to subscribe to; one of NY, LONDON, ASIA.

Response

Successful Response